import { MooBase } from './base/MooBase';
export declare class Editor extends MooBase {
    private _editor;
    constructor(board: HTMLElement, lang: string, code?: string);
    protected _createElement(): HTMLElement;
    eliminate(): void;
    getValue(): string;
}
